package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.StudentPaymentOrderDetail;
import com.ym.mec.biz.dal.entity.StudentRegistration;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

public class StudentAddDto{

    @ApiModelProperty(value = "临时课程费用", required = false)
    private BigDecimal temporaryCourseFee;

    @ApiModelProperty(value = "课程费用", required = false)
    private BigDecimal courseFee;

    @ApiModelProperty(value = "单技班编号", required = false)
    private Integer signClassId;

    @ApiModelProperty(value = "合奏班编号", required = false)
    private Integer mixClassId;

    @ApiModelProperty(value = "零时班编号", required = false)
    private String snapClassIds;

    @ApiModelProperty(value = "基础技能训练班", required = false)
    private Integer highClassId;

    public Integer getSignClassId() {
        return signClassId;
    }

    public void setSignClassId(Integer signClassId) {
        this.signClassId = signClassId;
    }

    public Integer getMixClassId() {
        return mixClassId;
    }

    public void setMixClassId(Integer mixClassId) {
        this.mixClassId = mixClassId;
    }

    public String getSnapClassIds() {
        return snapClassIds;
    }

    public void setSnapClassIds(String snapClassIds) {
        this.snapClassIds = snapClassIds;
    }

    public Integer getHighClassId() {
        return highClassId;
    }

    public void setHighClassId(Integer highClassId) {
        this.highClassId = highClassId;
    }

    @ApiModelProperty(value = "订单详情", required = false)
    private List<StudentPaymentOrderDetail> studentPaymentOrderDetails;

    @ApiModelProperty(value = "基本信息", required = false)
    private StudentRegistration studentRegistration;

    public BigDecimal getTemporaryCourseFee() {
        return temporaryCourseFee;
    }

    public void setTemporaryCourseFee(BigDecimal temporaryCourseFee) {
        this.temporaryCourseFee = temporaryCourseFee;
    }

    public BigDecimal getCourseFee() {
        return courseFee;
    }

    public void setCourseFee(BigDecimal courseFee) {
        this.courseFee = courseFee;
    }

    public List<StudentPaymentOrderDetail> getStudentPaymentOrderDetails() {
        return studentPaymentOrderDetails;
    }

    public void setStudentPaymentOrderDetails(List<StudentPaymentOrderDetail> studentPaymentOrderDetails) {
        this.studentPaymentOrderDetails = studentPaymentOrderDetails;
    }

    public StudentRegistration getStudentRegistration() {
        return studentRegistration;
    }

    public void setStudentRegistration(StudentRegistration studentRegistration) {
        this.studentRegistration = studentRegistration;
    }
}
